function u = Gauss(A,b)

n = length(b);
u = zeros(n,1);

% Dopredna eliminace
for i=1:n-1
    pivot = A(i,i);  % bez permutaci
    idx = i:n;
    for j=i+1:n
        faktor = A(j,i)/pivot;
        A(j,idx) = A(j,idx) - faktor*A(i,idx);
        b(j) = b(j) - faktor*b(i);
    end
    spy(A)
    pause
end



% Zpetna substituce
for i=n:-1:1
    u(i) = b(i)/A(i,i);
    if i>1
        idx = 1:i-1;
        b(idx) = b(idx) - A(idx,i)*u(i);
    end
end