function prikladRichardson()

[uzly,prvky,ID] = diskretizuj_obdelnik(1,1,0.1);
f = ones(1,size(prvky,2));
[A,b] = mkp_2d(uzly,prvky,f,ID);

'pocet iteraci ukazuje, ze Gaussova eliminace je efektivnejsi'
omega = 1/Gershgorin(A);
[u,k] = Richardson(A,b,zeros(length(b),1),omega,1e-3,10000); k
size(A)

'i pro optimalni volbu omega'
lambda = eig(full(A));
omega = 2/(min(lambda)+max(lambda));
kappa = cond(full(A));
kontrakce = (kappa-1)/(kappa+1);
odhadPoctuIteraci = log(1e-3)/log(kontrakce)
[u,k] = Richardson(A,b,zeros(length(b),1),omega,1e-3,10000); k
